Transfer between wallets

This endpoints allows transfers between two Fintava wallets. N.B: endpoint is deprecated, use the Wallet Transfer endpoint.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

Where do you find your sourceId and destination?

The sourceId and destination are the same thing as the customerId. To find the customerId, simply run the Get customer list endpoint. In that response, the ID within the userInfo object is the customerId. See an example below. Here's a sample of what you're looking for — ecca57f9-a1be-4463-a719-937ef287fb78.

Below is an example of the response you'll get when you run the Get customer list endpoint

{
    "data": {
      "userInfo": {
        "firstName": "john",
        "lastName": "ugochukwu",
        "phoneNumber": "08030135863",
        "roles": [
          "USER"
        ],
        "userType": "CUSTOMER",
        "address": "lugbe,abuja",
        "bvn": "21000000003",
        "dateOfBirth": "1992-05-17",
        "id": "ecca57f9-a1be-4463-a719-937ef287fb78",
        "createdAt": "2023-10-08T15:51:30.312Z",
        "updatedAt": "2023-10-08T15:51:30.312Z"
      },
      "wallet": {
        "id": "0b134510-c981-40f9-a0a9-983ab22544e1",
        "accountNumber": "1109854154",
        "accountName": "john ugochukwu",
        "isFrozen": false,
        "status": "active",
        "fundMethod": "STATIC_FUND"
      }
    },
    "status": 200,
    "message": "successful"
  }
Body Params
string
required

This is the customerId of the customer being debited. Please, see the information box above to learn where to find the customerId.

string
required

This is the customerId of the customer being credited. Please, see the information box above to learn where to find the customerId.

double
required

This is the amount of money transferred from the source to the destination.

string
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json